package org.jeecg.modules.adweb.common.constant;

public interface AdwebConstant {
    /*网站类型（1模板，2站点）*/
    public static final Integer TEMPLATE = 1;
    public static final Integer SITE = 2;
    public static final Integer WPTEMPLATE = 3;

    /*网站状态 当前状态：0：已删除；1：正常; 2:未发布*/
    public static final Integer SITE_DEL = 0;

    public static final Integer SITE_PUBLISH = 1;

    public static final Integer SITE_UNPUBLISH = 2;

    /*菜单状态*/
    public static final Integer MENU_DEL  = 1;

    /*模板配置状态*/
    public static final Integer TEMPLATE_SETTING_DEL  = 1;

    /*模板上架状态*/
    public static final Integer TEMPLATE_PUTAWAY = 1;

    /*产品状态0删除1可用*/
    public static final Integer STATUS = 1;

    /*组件编码*/
    public static final String PRODUCT = "product";

    /*内容*/
    public static final String NEWS = "news";

    /*平台标识*/
    public static final String APPKEY = "adweb";

    /*内容分类*/
    public static final String NEWSCATALOG = "newsCatalog";

    public static final String PRODUCTCTALOG = "productCatalog";

    /**
     * 缓存前缀
     */
    public static final String CACHE_PREFIX = "AdWeb3::";

    //询盘阶段，字典条目
    public static final String ENQUIRY_PHASE = "enquiry_phase";
    //询盘跟进状态，字典条目
    public static final String ENQUIRY_TRACK_STATUS = "enquiry_track_status";
    //询盘用户有效性，字典条目
    public static final String ENQUIRY_EFFECTIVE = "enquiry_effective";
    //询盘回复状态，字典条目
    public static final String ENQUIRY_REPLAY_STATUS = "enquiry_replay_status";
    //ADMP dictService
    public static final String CUSTOMER_ORDER_CURRENCY = "customer_order_currency";

    public static final String ENQUIRY_PARAM_NAME = "enquiry_param_name";
    public static final String ENQUIRY_PARAM_EMAIL = "enquiry_param_email";
    public static final String ENQUIRY_PARAM_PHONE = "enquiry_param_phone";
    public static final String ENQUIRY_PARAM_MESSAGE = "enquiry_param_message";
    public static final String ENQUIRY_PARAM_COMPANY = "enquiry_param_company";
    public static final String ENQUIRY_PARAM_FROM_PAGE = "enquiry_param_from_page";

    /**
     * 页面code
     */
    public static final String HOME_PAGE_CODE = "home";
    public static final String ABOUT_US_PAGE_CODE = "aboutUs";
    public static final String PRODUCTS_PAGE_CODE = "products";
    public static final String PRODUCT_DETAIL_PAGE_CODE = "productDetail";
    public static final String NEWS_PAGE_CODE = "news";
    public static final String NEWS_DETAIL_PAGE_CODE = "newsDetail";
    public static final String CONTACT_US_PAGE_CODE = "contactUs";
    public static final String FAQ_PAGE_CODE = "faq";

    /**
     * 模板标签
     */
    public static final String TEMPLATE_TAGS = "template_tags";

    /*SEO关键字类型 1 - 指定词 2 - 长尾词 */
    public static final int KEYWORD_TYPE_APPOINT = 1;
    public static final int KEYWORD_TYPE_LONG_TAIL = 2;

}
